classification
Title: No explicit documentation for PyGetSetDef and getter and setter C-API
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: MSeifert, docs@python, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-03-27 10:26 by MSeifert, last changed 2017-09-16 11:36 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 831 merged MSeifert, 2017-03-27 10:26
PR 3607 merged MSeifert, 2017-09-16 00:01
PR 3609 merged MSeifert, 2017-09-16 02:24
Messages (5)
msg290574 - (view) Author: Michael Seifert (MSeifert) * Date: 2017-03-27 10:26
A copy of the struct definition can be found in the typeobject documentation [1]. There is also some explanation of the "closure" function pointer in the extending tutorial [2].

However the struct isn't explicitly defined as "c:type" so the 6 links to it in the documentations go nowhere.

I also submitted a pull request.

[1] https://docs.python.org/3.6/c-api/typeobj.html#c.PyTypeObject.tp_getset
[2] https://docs.python.org/3/extending/newtypes.html
msg302263 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-15 16:25
New changeset da67e0d644bd3185efdaa4d15cc2ac0828ca83f9 by Serhiy Storchaka (Michael Seifert) in branch 'master':
bpo-29916: Include PyGetSetDef in C API extension documentation. (#831)
https://github.com/python/cpython/commit/da67e0d644bd3185efdaa4d15cc2ac0828ca83f9
msg302332 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-16 11:29
New changeset 51ea80697b023595cdd79c7696589a04cc581693 by Serhiy Storchaka (Michael Seifert) in branch '3.6':
bpo-29916: Include PyGetSetDef in C API extension documentation. (#831) (#3607)
https://github.com/python/cpython/commit/51ea80697b023595cdd79c7696589a04cc581693
msg302333 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-16 11:30
New changeset 41376241e364e4f84cd14631634604edbd105da0 by Serhiy Storchaka (Michael Seifert) in branch '2.7':
bpo-29916: Include PyGetSetDef in C API extension documentation. (#831) (#3609)
https://github.com/python/cpython/commit/41376241e364e4f84cd14631634604edbd105da0
msg302334 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-16 11:36
Thank you Michael for your contribution.
History
Date User Action Args
2017-09-16 11:36:24serhiy.storchakasetmessages: + msg302334
2017-09-16 11:35:35serhiy.storchakasetstatus: open -> closed
versions: + Python 2.7, Python 3.6, Python 3.7
resolution: fixed
assignee: docs@python -> serhiy.storchaka
type: enhancement
stage: patch review -> resolved
2017-09-16 11:30:10serhiy.storchakasetmessages: + msg302333
2017-09-16 11:29:36serhiy.storchakasetmessages: + msg302332
2017-09-16 02:24:28MSeifertsetpull_requests: + pull_request3600
2017-09-16 00:01:51MSeifertsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3598
2017-09-15 16:25:30serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg302263
2017-03-27 10:26:54MSeifertcreate